"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.presets = void 0;
const tslib_1 = require("tslib");
const replacements_json_1 = tslib_1.__importDefault(require("../../../data/replacements.json"));
const auto_generate_replacements_1 = require("./auto-generate-replacements");
/* eslint sort-keys: ["error", "asc", {"caseSensitive": false, "natural": true}] */
exports.presets = replacements_json_1.default;
const muiReplacement = [
    [['@material-ui/codemod'], '@mui/codemod'],
    [['@material-ui/core'], '@mui/material'],
    [['@material-ui/icons'], '@mui/icons-material'],
    [['@material-ui/lab'], '@mui/labs'],
    [['@material-ui/private-theming'], '@mui/private-theming'],
    [['@material-ui/styled-engine'], '@mui/styled-engine'],
    [['@material-ui/styled-engine-sc'], '@mui/styled-engine-sc'],
    [['@material-ui/styles'], '@mui/styles'],
    [['@material-ui/system'], '@mui/system'],
    [['@material-ui/types'], '@mui/types'],
    [['@material-ui/unstyled'], '@mui/core'],
];
const mui = {
    description: 'The `material-ui` monorepo org was renamed from `@material-ui` to `@mui`.',
    packageRules: [
        {
            matchCurrentVersion: '>=4.0.0 <5.0.0',
            matchDatasources: ['npm'],
            replacements: muiReplacement,
            replacementVersion: '5.0.0',
        },
    ],
    title: 'material-ui-to-mui',
};
const messageFormat = {
    description: 'The `messageformat` monorepo package naming scheme changed from `messageFormat-{{package}}` to `@messageformat/{{package}}`.',
    packageRules: [
        {
            matchCurrentVersion: '>=2.0.0 <3.0.0',
            matchDatasources: ['npm'],
            replacements: [
                [['messageformat-cli'], '@messageformat/cli'],
                [['messageformat'], '@messageformat/core'],
            ],
            replacementVersion: '3.0.0',
        },
        {
            matchCurrentVersion: '>=0.4.0 <1.0.0',
            matchDatasources: ['npm'],
            replacements: [
                [['messageformat-convert'], '@messageformat/convert'],
                [['react-message-context'], '@messageformat/react'],
            ],
            replacementVersion: '1.0.0',
        },
        {
            matchCurrentVersion: '>=4.0.0 <5.0.0',
            matchDatasources: ['npm'],
            replacements: [[['messageformat-parser'], '@messageformat/parser']],
            replacementVersion: '5.0.0',
        },
    ],
    title: 'messageFormat-to-scoped',
};
(0, auto_generate_replacements_1.addPresets)(exports.presets, messageFormat, mui);
//# sourceMappingURL=replacements.js.map