import { Datasource } from '../datasource';
import type { GetReleasesConfig, ReleaseResult } from '../types';
export declare const stableVersionRegex: RegExp;
export declare class DartVersionDatasource extends Datasource {
    static readonly id = "dart-version";
    constructor();
    readonly customRegistrySupport = false;
    readonly defaultRegistryUrls: string[];
    readonly caching = true;
    private readonly channels;
    readonly sourceUrlSupport = "package";
    readonly sourceUrlNote = "We use the URL: https://github.com/dart-lang/sdk.";
    getReleases({ registryUrl, }: GetReleasesConfig): Promise<ReleaseResult | null>;
    private getReleasesFromResponse;
    private getVersionFromPrefix;
}
