import { Datasource } from '../datasource';
import type { GetReleasesConfig, ReleaseResult } from '../types';
export declare class GithubRunnersDatasource extends Datasource {
    static readonly id = "github-runners";
    readonly sourceUrlSupport = "package";
    readonly sourceUrlNote = "We use the URL: https://github.com/actions/runner-images.";
    /**
     * Only add stable runners to the datasource. See datasource readme for details.
     */
    private static readonly releases;
    static isValidRunner(runnerName: string, runnerVersion: string): boolean;
    readonly defaultVersioning = "docker";
    constructor();
    getReleases({ packageName, }: GetReleasesConfig): Promise<ReleaseResult | null>;
}
