import { z } from 'zod';
declare const GlasskubePackageVersions: z.ZodObject<{
    latestVersion: z.ZodString;
    versions: z.ZodArray<z.ZodObject<{
        version: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        version: string;
    }, {
        version: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    versions: {
        version: string;
    }[];
    latestVersion: string;
}, {
    versions: {
        version: string;
    }[];
    latestVersion: string;
}>;
export declare const GlasskubePackageVersionsYaml: z.ZodPipeline<z.ZodEffects<z.ZodString, string | number | boolean | import("type-fest").JsonObject | import("type-fest").JsonValue[] | readonly import("type-fest").JsonValue[] | null, string>, z.ZodObject<{
    latestVersion: z.ZodString;
    versions: z.ZodArray<z.ZodObject<{
        version: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        version: string;
    }, {
        version: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    versions: {
        version: string;
    }[];
    latestVersion: string;
}, {
    versions: {
        version: string;
    }[];
    latestVersion: string;
}>>;
export declare const GlasskubePackageManifestYaml: z.ZodPipeline<z.ZodEffects<z.ZodString, string | number | boolean | import("type-fest").JsonObject | import("type-fest").JsonValue[] | readonly import("type-fest").JsonValue[] | null, string>, z.ZodObject<{
    references: z.ZodOptional<z.ZodArray<z.ZodObject<{
        label: z.ZodString;
        url: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        url: string;
        label: string;
    }, {
        url: string;
        label: string;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    references?: {
        url: string;
        label: string;
    }[] | undefined;
}, {
    references?: {
        url: string;
        label: string;
    }[] | undefined;
}>>;
export type GlasskubePackageVersions = z.infer<typeof GlasskubePackageVersions>;
export {};
