"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlasskubePackageManifestYaml = exports.GlasskubePackageVersionsYaml = void 0;
const zod_1 = require("zod");
const schema_utils_1 = require("../../../util/schema-utils");
const GlasskubePackageVersions = zod_1.z.object({
    latestVersion: zod_1.z.string(),
    versions: zod_1.z.array(zod_1.z.object({ version: zod_1.z.string() })),
});
const GlasskubePackageManifest = zod_1.z.object({
    references: zod_1.z.optional(zod_1.z.array(zod_1.z.object({
        label: zod_1.z.string(),
        url: zod_1.z.string(),
    }))),
});
exports.GlasskubePackageVersionsYaml = schema_utils_1.Yaml.pipe(GlasskubePackageVersions);
exports.GlasskubePackageManifestYaml = schema_utils_1.Yaml.pipe(GlasskubePackageManifest);
//# sourceMappingURL=schema.js.map