import { z } from 'zod';
import type { ReleaseResult } from '../types';
export declare const HexRelease: z.ZodEffects<z.ZodObject<{
    html_url: z.ZodOptional<z.ZodString>;
    meta: z.ZodCatch<z.ZodNullable<z.ZodObject<{
        links: z.ZodObject<{
            Github: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            Github: string;
        }, {
            Github: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        links: {
            Github: string;
        };
    }, {
        links: {
            Github: string;
        };
    }>>>;
    releases: z.ZodEffects<z.ZodEffects<z.ZodArray<z.ZodAny, "many">, {
        version: string;
        inserted_at?: string | undefined;
    }[], any[]>, {
        version: string;
        inserted_at?: string | undefined;
    }[], any[]>;
    retirements: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<{
        message: z.ZodNullable<z.ZodString>;
        reason: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        reason: string;
        message: string | null;
    }, {
        reason: string;
        message: string | null;
    }>>>;
}, "strip", z.ZodTypeAny, {
    meta: {
        links: {
            Github: string;
        };
    } | null;
    releases: {
        version: string;
        inserted_at?: string | undefined;
    }[];
    html_url?: string | undefined;
    retirements?: Record<string, {
        reason: string;
        message: string | null;
    }> | undefined;
}, {
    releases: any[];
    meta?: unknown;
    html_url?: string | undefined;
    retirements?: Record<string, {
        reason: string;
        message: string | null;
    }> | undefined;
}>, ReleaseResult, {
    releases: any[];
    meta?: unknown;
    html_url?: string | undefined;
    retirements?: Record<string, {
        reason: string;
        message: string | null;
    }> | undefined;
}>;
