import { SbtPackageDatasource } from '../sbt-package';
import type { GetReleasesConfig, RegistryStrategy, ReleaseResult } from '../types';
export declare const SBT_PLUGINS_REPO = "https://repo.scala-sbt.org/scalasbt/sbt-plugin-releases";
export declare const defaultRegistryUrls: string[];
export declare class SbtPluginDatasource extends SbtPackageDatasource {
    static readonly id = "sbt-plugin";
    readonly defaultRegistryUrls: string[];
    readonly registryStrategy: RegistryStrategy;
    readonly defaultVersioning = "ivy";
    readonly sourceUrlSupport = "package";
    readonly sourceUrlNote = "The source URL is determined from the `scm` tags in the results.";
    constructor();
    resolvePluginReleases(rootUrl: string, artifact: string, scalaVersion: string): Promise<string[] | null>;
    getReleases({ packageName, registryUrl, }: GetReleasesConfig): Promise<ReleaseResult | null>;
}
