"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.urls = exports.supportedDatasources = exports.categories = exports.displayName = exports.defaultConfig = exports.extractPackageFile = void 0;
const bitrise_1 = require("../../datasource/bitrise");
const git_tags_1 = require("../../datasource/git-tags");
const extract_1 = require("./extract");
Object.defineProperty(exports, "extractPackageFile", { enumerable: true, get: function () { return extract_1.extractPackageFile; } });
exports.defaultConfig = {
    fileMatch: ['(^|/)bitrise\\.ya?ml$'],
};
exports.displayName = 'Bitrise';
exports.categories = ['ci'];
exports.supportedDatasources = [
    bitrise_1.BitriseDatasource.id,
    git_tags_1.GitTagsDatasource.id,
];
exports.urls = [
    'https://devcenter.bitrise.io/en/steps-and-workflows/introduction-to-steps.html',
];
//# sourceMappingURL=index.js.map