import { z } from 'zod';
export declare const KubernetesResource: z.ZodObject<{
    apiVersion: z.ZodString;
    kind: z.ZodString;
    metadata: z.ZodObject<{
        name: z.ZodString;
        namespace: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        namespace?: string | undefined;
    }, {
        name: string;
        namespace?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: string;
    apiVersion: string;
}, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: string;
    apiVersion: string;
}>;
export declare const HelmRelease: z.ZodObject<z.objectUtil.extendShape<{
    apiVersion: z.ZodString;
    kind: z.ZodString;
    metadata: z.ZodObject<{
        name: z.ZodString;
        namespace: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        namespace?: string | undefined;
    }, {
        name: string;
        namespace?: string | undefined;
    }>;
}, {
    apiVersion: z.ZodString;
    kind: z.ZodLiteral<"HelmRelease">;
    spec: z.ZodObject<{
        chart: z.ZodObject<{
            spec: z.ZodObject<{
                chart: z.ZodString;
                version: z.ZodOptional<z.ZodString>;
                sourceRef: z.ZodOptional<z.ZodObject<{
                    kind: z.ZodOptional<z.ZodString>;
                    name: z.ZodOptional<z.ZodString>;
                    namespace: z.ZodOptional<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                }, {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                }>>;
            }, "strip", z.ZodTypeAny, {
                chart: string;
                version?: string | undefined;
                sourceRef?: {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                } | undefined;
            }, {
                chart: string;
                version?: string | undefined;
                sourceRef?: {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                } | undefined;
            }>;
        }, "strip", z.ZodTypeAny, {
            spec: {
                chart: string;
                version?: string | undefined;
                sourceRef?: {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                } | undefined;
            };
        }, {
            spec: {
                chart: string;
                version?: string | undefined;
                sourceRef?: {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                } | undefined;
            };
        }>;
    }, "strip", z.ZodTypeAny, {
        chart: {
            spec: {
                chart: string;
                version?: string | undefined;
                sourceRef?: {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                } | undefined;
            };
        };
    }, {
        chart: {
            spec: {
                chart: string;
                version?: string | undefined;
                sourceRef?: {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                } | undefined;
            };
        };
    }>;
}>, "strip", z.ZodTypeAny, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "HelmRelease";
    apiVersion: string;
    spec: {
        chart: {
            spec: {
                chart: string;
                version?: string | undefined;
                sourceRef?: {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                } | undefined;
            };
        };
    };
}, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "HelmRelease";
    apiVersion: string;
    spec: {
        chart: {
            spec: {
                chart: string;
                version?: string | undefined;
                sourceRef?: {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                } | undefined;
            };
        };
    };
}>;
export declare const HelmRepository: z.ZodObject<z.objectUtil.extendShape<{
    apiVersion: z.ZodString;
    kind: z.ZodString;
    metadata: z.ZodObject<{
        name: z.ZodString;
        namespace: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        namespace?: string | undefined;
    }, {
        name: string;
        namespace?: string | undefined;
    }>;
}, {
    apiVersion: z.ZodString;
    kind: z.ZodLiteral<"HelmRepository">;
    spec: z.ZodObject<{
        url: z.ZodString;
        type: z.ZodOptional<z.ZodEnum<["oci", "default"]>>;
    }, "strip", z.ZodTypeAny, {
        url: string;
        type?: "default" | "oci" | undefined;
    }, {
        url: string;
        type?: "default" | "oci" | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "HelmRepository";
    apiVersion: string;
    spec: {
        url: string;
        type?: "default" | "oci" | undefined;
    };
}, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "HelmRepository";
    apiVersion: string;
    spec: {
        url: string;
        type?: "default" | "oci" | undefined;
    };
}>;
export type HelmRepository = z.infer<typeof HelmRepository>;
export declare const GitRepository: z.ZodObject<z.objectUtil.extendShape<{
    apiVersion: z.ZodString;
    kind: z.ZodString;
    metadata: z.ZodObject<{
        name: z.ZodString;
        namespace: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        namespace?: string | undefined;
    }, {
        name: string;
        namespace?: string | undefined;
    }>;
}, {
    apiVersion: z.ZodString;
    kind: z.ZodLiteral<"GitRepository">;
    spec: z.ZodObject<{
        url: z.ZodString;
        ref: z.ZodOptional<z.ZodObject<{
            tag: z.ZodOptional<z.ZodString>;
            commit: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            tag?: string | undefined;
            commit?: string | undefined;
        }, {
            tag?: string | undefined;
            commit?: string | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        url: string;
        ref?: {
            tag?: string | undefined;
            commit?: string | undefined;
        } | undefined;
    }, {
        url: string;
        ref?: {
            tag?: string | undefined;
            commit?: string | undefined;
        } | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "GitRepository";
    apiVersion: string;
    spec: {
        url: string;
        ref?: {
            tag?: string | undefined;
            commit?: string | undefined;
        } | undefined;
    };
}, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "GitRepository";
    apiVersion: string;
    spec: {
        url: string;
        ref?: {
            tag?: string | undefined;
            commit?: string | undefined;
        } | undefined;
    };
}>;
export declare const OCIRepository: z.ZodObject<z.objectUtil.extendShape<{
    apiVersion: z.ZodString;
    kind: z.ZodString;
    metadata: z.ZodObject<{
        name: z.ZodString;
        namespace: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        namespace?: string | undefined;
    }, {
        name: string;
        namespace?: string | undefined;
    }>;
}, {
    apiVersion: z.ZodString;
    kind: z.ZodLiteral<"OCIRepository">;
    spec: z.ZodObject<{
        url: z.ZodString;
        ref: z.ZodOptional<z.ZodObject<{
            tag: z.ZodOptional<z.ZodString>;
            digest: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            tag?: string | undefined;
            digest?: string | undefined;
        }, {
            tag?: string | undefined;
            digest?: string | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        url: string;
        ref?: {
            tag?: string | undefined;
            digest?: string | undefined;
        } | undefined;
    }, {
        url: string;
        ref?: {
            tag?: string | undefined;
            digest?: string | undefined;
        } | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "OCIRepository";
    apiVersion: string;
    spec: {
        url: string;
        ref?: {
            tag?: string | undefined;
            digest?: string | undefined;
        } | undefined;
    };
}, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "OCIRepository";
    apiVersion: string;
    spec: {
        url: string;
        ref?: {
            tag?: string | undefined;
            digest?: string | undefined;
        } | undefined;
    };
}>;
export declare const Kustomization: z.ZodObject<z.objectUtil.extendShape<{
    apiVersion: z.ZodString;
    kind: z.ZodString;
    metadata: z.ZodObject<{
        name: z.ZodString;
        namespace: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        namespace?: string | undefined;
    }, {
        name: string;
        namespace?: string | undefined;
    }>;
}, {
    apiVersion: z.ZodString;
    kind: z.ZodLiteral<"Kustomization">;
    spec: z.ZodObject<{
        images: z.ZodOptional<z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            newName: z.ZodOptional<z.ZodString>;
            newTag: z.ZodOptional<z.ZodString>;
            digest: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            name: string;
            digest?: string | undefined;
            newTag?: string | undefined;
            newName?: string | undefined;
        }, {
            name: string;
            digest?: string | undefined;
            newTag?: string | undefined;
            newName?: string | undefined;
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        images?: {
            name: string;
            digest?: string | undefined;
            newTag?: string | undefined;
            newName?: string | undefined;
        }[] | undefined;
    }, {
        images?: {
            name: string;
            digest?: string | undefined;
            newTag?: string | undefined;
            newName?: string | undefined;
        }[] | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "Kustomization";
    apiVersion: string;
    spec: {
        images?: {
            name: string;
            digest?: string | undefined;
            newTag?: string | undefined;
            newName?: string | undefined;
        }[] | undefined;
    };
}, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "Kustomization";
    apiVersion: string;
    spec: {
        images?: {
            name: string;
            digest?: string | undefined;
            newTag?: string | undefined;
            newName?: string | undefined;
        }[] | undefined;
    };
}>;
export declare const FluxResource: z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
    apiVersion: z.ZodString;
    kind: z.ZodString;
    metadata: z.ZodObject<{
        name: z.ZodString;
        namespace: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        namespace?: string | undefined;
    }, {
        name: string;
        namespace?: string | undefined;
    }>;
}, {
    apiVersion: z.ZodString;
    kind: z.ZodLiteral<"HelmRelease">;
    spec: z.ZodObject<{
        chart: z.ZodObject<{
            spec: z.ZodObject<{
                chart: z.ZodString;
                version: z.ZodOptional<z.ZodString>;
                sourceRef: z.ZodOptional<z.ZodObject<{
                    kind: z.ZodOptional<z.ZodString>;
                    name: z.ZodOptional<z.ZodString>;
                    namespace: z.ZodOptional<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                }, {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                }>>;
            }, "strip", z.ZodTypeAny, {
                chart: string;
                version?: string | undefined;
                sourceRef?: {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                } | undefined;
            }, {
                chart: string;
                version?: string | undefined;
                sourceRef?: {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                } | undefined;
            }>;
        }, "strip", z.ZodTypeAny, {
            spec: {
                chart: string;
                version?: string | undefined;
                sourceRef?: {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                } | undefined;
            };
        }, {
            spec: {
                chart: string;
                version?: string | undefined;
                sourceRef?: {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                } | undefined;
            };
        }>;
    }, "strip", z.ZodTypeAny, {
        chart: {
            spec: {
                chart: string;
                version?: string | undefined;
                sourceRef?: {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                } | undefined;
            };
        };
    }, {
        chart: {
            spec: {
                chart: string;
                version?: string | undefined;
                sourceRef?: {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                } | undefined;
            };
        };
    }>;
}>, "strip", z.ZodTypeAny, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "HelmRelease";
    apiVersion: string;
    spec: {
        chart: {
            spec: {
                chart: string;
                version?: string | undefined;
                sourceRef?: {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                } | undefined;
            };
        };
    };
}, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "HelmRelease";
    apiVersion: string;
    spec: {
        chart: {
            spec: {
                chart: string;
                version?: string | undefined;
                sourceRef?: {
                    name?: string | undefined;
                    namespace?: string | undefined;
                    kind?: string | undefined;
                } | undefined;
            };
        };
    };
}>, z.ZodObject<z.objectUtil.extendShape<{
    apiVersion: z.ZodString;
    kind: z.ZodString;
    metadata: z.ZodObject<{
        name: z.ZodString;
        namespace: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        namespace?: string | undefined;
    }, {
        name: string;
        namespace?: string | undefined;
    }>;
}, {
    apiVersion: z.ZodString;
    kind: z.ZodLiteral<"HelmRepository">;
    spec: z.ZodObject<{
        url: z.ZodString;
        type: z.ZodOptional<z.ZodEnum<["oci", "default"]>>;
    }, "strip", z.ZodTypeAny, {
        url: string;
        type?: "default" | "oci" | undefined;
    }, {
        url: string;
        type?: "default" | "oci" | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "HelmRepository";
    apiVersion: string;
    spec: {
        url: string;
        type?: "default" | "oci" | undefined;
    };
}, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "HelmRepository";
    apiVersion: string;
    spec: {
        url: string;
        type?: "default" | "oci" | undefined;
    };
}>]>, z.ZodObject<z.objectUtil.extendShape<{
    apiVersion: z.ZodString;
    kind: z.ZodString;
    metadata: z.ZodObject<{
        name: z.ZodString;
        namespace: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        namespace?: string | undefined;
    }, {
        name: string;
        namespace?: string | undefined;
    }>;
}, {
    apiVersion: z.ZodString;
    kind: z.ZodLiteral<"GitRepository">;
    spec: z.ZodObject<{
        url: z.ZodString;
        ref: z.ZodOptional<z.ZodObject<{
            tag: z.ZodOptional<z.ZodString>;
            commit: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            tag?: string | undefined;
            commit?: string | undefined;
        }, {
            tag?: string | undefined;
            commit?: string | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        url: string;
        ref?: {
            tag?: string | undefined;
            commit?: string | undefined;
        } | undefined;
    }, {
        url: string;
        ref?: {
            tag?: string | undefined;
            commit?: string | undefined;
        } | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "GitRepository";
    apiVersion: string;
    spec: {
        url: string;
        ref?: {
            tag?: string | undefined;
            commit?: string | undefined;
        } | undefined;
    };
}, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "GitRepository";
    apiVersion: string;
    spec: {
        url: string;
        ref?: {
            tag?: string | undefined;
            commit?: string | undefined;
        } | undefined;
    };
}>]>, z.ZodObject<z.objectUtil.extendShape<{
    apiVersion: z.ZodString;
    kind: z.ZodString;
    metadata: z.ZodObject<{
        name: z.ZodString;
        namespace: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        namespace?: string | undefined;
    }, {
        name: string;
        namespace?: string | undefined;
    }>;
}, {
    apiVersion: z.ZodString;
    kind: z.ZodLiteral<"OCIRepository">;
    spec: z.ZodObject<{
        url: z.ZodString;
        ref: z.ZodOptional<z.ZodObject<{
            tag: z.ZodOptional<z.ZodString>;
            digest: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            tag?: string | undefined;
            digest?: string | undefined;
        }, {
            tag?: string | undefined;
            digest?: string | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        url: string;
        ref?: {
            tag?: string | undefined;
            digest?: string | undefined;
        } | undefined;
    }, {
        url: string;
        ref?: {
            tag?: string | undefined;
            digest?: string | undefined;
        } | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "OCIRepository";
    apiVersion: string;
    spec: {
        url: string;
        ref?: {
            tag?: string | undefined;
            digest?: string | undefined;
        } | undefined;
    };
}, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "OCIRepository";
    apiVersion: string;
    spec: {
        url: string;
        ref?: {
            tag?: string | undefined;
            digest?: string | undefined;
        } | undefined;
    };
}>]>, z.ZodObject<z.objectUtil.extendShape<{
    apiVersion: z.ZodString;
    kind: z.ZodString;
    metadata: z.ZodObject<{
        name: z.ZodString;
        namespace: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        namespace?: string | undefined;
    }, {
        name: string;
        namespace?: string | undefined;
    }>;
}, {
    apiVersion: z.ZodString;
    kind: z.ZodLiteral<"Kustomization">;
    spec: z.ZodObject<{
        images: z.ZodOptional<z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            newName: z.ZodOptional<z.ZodString>;
            newTag: z.ZodOptional<z.ZodString>;
            digest: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            name: string;
            digest?: string | undefined;
            newTag?: string | undefined;
            newName?: string | undefined;
        }, {
            name: string;
            digest?: string | undefined;
            newTag?: string | undefined;
            newName?: string | undefined;
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        images?: {
            name: string;
            digest?: string | undefined;
            newTag?: string | undefined;
            newName?: string | undefined;
        }[] | undefined;
    }, {
        images?: {
            name: string;
            digest?: string | undefined;
            newTag?: string | undefined;
            newName?: string | undefined;
        }[] | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "Kustomization";
    apiVersion: string;
    spec: {
        images?: {
            name: string;
            digest?: string | undefined;
            newTag?: string | undefined;
            newName?: string | undefined;
        }[] | undefined;
    };
}, {
    metadata: {
        name: string;
        namespace?: string | undefined;
    };
    kind: "Kustomization";
    apiVersion: string;
    spec: {
        images?: {
            name: string;
            digest?: string | undefined;
            newTag?: string | undefined;
            newName?: string | undefined;
        }[] | undefined;
    };
}>]>;
export type FluxResource = z.infer<typeof FluxResource>;
