"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNonEmptyObject = isNonEmptyObject;
exports.filterIncludeFromGitlabPipeline = filterIncludeFromGitlabPipeline;
exports.isGitlabIncludeProject = isGitlabIncludeProject;
exports.isGitlabIncludeLocal = isGitlabIncludeLocal;
exports.isGitlabIncludeComponent = isGitlabIncludeComponent;
const tslib_1 = require("tslib");
const is_1 = tslib_1.__importDefault(require("@sindresorhus/is"));
function isNonEmptyObject(obj) {
    return is_1.default.object(obj) && Object.keys(obj).length !== 0;
}
function filterIncludeFromGitlabPipeline(pipeline) {
    const pipeline_without_include = {};
    for (const key of Object.keys(pipeline).filter((key) => key !== 'include')) {
        const pipeline_key = key;
        pipeline_without_include[pipeline_key] = pipeline[pipeline_key];
    }
    return pipeline_without_include;
}
function isGitlabIncludeProject(include) {
    return !is_1.default.undefined(include.project);
}
function isGitlabIncludeLocal(include) {
    return !is_1.default.undefined(include.local);
}
function isGitlabIncludeComponent(include) {
    return !is_1.default.undefined(include.component);
}
//# sourceMappingURL=common.js.map