import type { HostRule } from '../../../types';
import type { ExtraEnv } from '../../../util/exec/types';
import type { UpdateArtifact, UpdateArtifactsConfig, UpdateArtifactsResult } from '../types';
export declare function getPythonConstraint(pipfileName: string, pipfileContent: string, existingLockFileContent: string, config: UpdateArtifactsConfig): Promise<string | undefined>;
export declare function getPipenvConstraint(existingLockFileContent: string, config: UpdateArtifactsConfig): string;
export declare function getMatchingHostRule(url: string): HostRule | null;
/**
 * This will extract the actual variable name from an environment-placeholder:
 * ${USERNAME:-defaultvalue} will yield 'USERNAME'
 */
export declare function extractEnvironmentVariableName(credential: string): string | null;
export declare function addExtraEnvVariable(extraEnv: ExtraEnv<unknown>, environmentVariableName: string, environmentValue: string): void;
export declare function updateArtifacts({ packageFileName: pipfileName, newPackageFileContent: newPipfileContent, config, }: UpdateArtifact): Promise<UpdateArtifactsResult[] | null>;
