import { z } from 'zod';
export declare const ContentsResponseSchema: z.ZodObject<{
    name: z.ZodString;
    path: z.ZodString;
    type: z.ZodUnion<[z.ZodLiteral<"file">, z.ZodLiteral<"dir">]>;
    content: z.ZodNullable<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    name: string;
    type: "file" | "dir";
    content: string | null;
    path: string;
}, {
    name: string;
    type: "file" | "dir";
    content: string | null;
    path: string;
}>;
export type ContentsResponse = z.infer<typeof ContentsResponseSchema>;
export declare const ContentsListResponseSchema: z.ZodArray<z.ZodObject<{
    name: z.ZodString;
    path: z.ZodString;
    type: z.ZodUnion<[z.ZodLiteral<"file">, z.ZodLiteral<"dir">]>;
    content: z.ZodNullable<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    name: string;
    type: "file" | "dir";
    content: string | null;
    path: string;
}, {
    name: string;
    type: "file" | "dir";
    content: string | null;
    path: string;
}>, "many">;
