import { z } from 'zod';
import type { GithubGraphqlDatasourceAdapter, GithubReleaseItem } from '../types';
declare const GithubGraphqlRelease: z.ZodObject<{
    version: z.ZodString;
    releaseTimestamp: z.ZodString;
    isDraft: z.ZodBoolean;
    isPrerelease: z.ZodBoolean;
    url: z.ZodString;
    id: z.ZodNullable<z.ZodNumber>;
    name: z.ZodNullable<z.ZodString>;
    description: z.ZodNullable<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    name: string | null;
    id: number | null;
    url: string;
    description: string | null;
    version: string;
    releaseTimestamp: string;
    isDraft: boolean;
    isPrerelease: boolean;
}, {
    name: string | null;
    id: number | null;
    url: string;
    description: string | null;
    version: string;
    releaseTimestamp: string;
    isDraft: boolean;
    isPrerelease: boolean;
}>;
export type GithubGraphqlRelease = z.infer<typeof GithubGraphqlRelease>;
export declare const adapter: GithubGraphqlDatasourceAdapter<GithubGraphqlRelease, GithubReleaseItem>;
export {};
