import type { RetryObject } from 'got';
import type { HttpOptions, HttpResponse, InternalHttpOptions } from './types';
import { Http } from '.';
export declare const setBaseUrl: (url: string) => void;
export interface GitlabHttpOptions extends HttpOptions {
    paginate?: boolean;
}
export declare class GitlabHttp extends Http<GitlabHttpOptions> {
    constructor(type?: string, options?: GitlabHttpOptions);
    protected request<T>(url: string | URL, options?: InternalHttpOptions & GitlabHttpOptions): Promise<HttpResponse<T>>;
    protected calculateRetryDelay(retryObject: RetryObject): number;
}
