"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setConfig = setConfig;
const tslib_1 = require("tslib");
const node_readline_1 = tslib_1.__importDefault(require("node:readline"));
// istanbul ignore next
async function setConfig(config) {
    if (process.env.CODESPACES !== 'true') {
        return config;
    }
    if (!config.token && process.env.GITHUB_TOKEN) {
        config.token = process.env.GITHUB_TOKEN;
    }
    if (!config.repositories?.length) {
        const rl = node_readline_1.default.promises.createInterface({
            input: process.stdin,
            output: process.stdout,
        });
        const repo = await rl.question('\n\nRepository name: ');
        config.repositories = [repo];
    }
    return config;
}
//# sourceMappingURL=codespaces.js.map